compiz KDE support and libcompizconfig

This is a quick note for anyone using compiz, that x11-wm/compiz-0.7.8-r3 will allow KDE-4.3.0 and that the KDE use flags were updated now that KDE-4 has become the “default” KDE version and that 3.5 is approaching its final days.
As such, the kde use flag will add support for KDE-4.X and the kde3 use flag will add support for KDE-3.5. So be sure to check your use flags for compiz.
I plan to move compiz-0.7.8-r3 from the overlay to the tree in a few hours.

Following my attempts to deal with bug 259715, I broke libcompizconfig again – bug 278146. Although I’ve masked libcompizconfig-0.8.2-r2 sometime ago, it was unmasked long enough to break the config files for enough users. If you still have ccsm / compiz failing for you, you need to downgrade to libcompizconfig-0.8.2 and to remove the contents of ~/.config/compiz/compizconfig/. I’m still working on removing the bundled iniparser from libcompizconfig.

5 thoughts on “compiz KDE support and libcompizconfig”

  1. I may be too conservative but I don’t like KDE4: it seems
    a big heavy on my 4years
    old laptop, compiz is an overkill for KDE4 and
    kdeprefix seems broken.
    I’ll give up my 5 years love and move on to Gnome if
    3.5 slot won’t work any longer.

    ps. the width of textfield in this comment’s form is too
    wide and I can’t see what I type in firefox 3.5

  2. It’s not my main point, but just FYI,
    if try to install it from enlightenment WM.
    it’ll get installed into
    /usr/share/e16etc
    /usr/share/e16usr
    /usr/share/e16var

    I’ll file a bug report and it’ll be fix, I’m sure

  3. compiz with kde4? wouldn’ t that be overkill since kde has compiz features ‘built’ in?
    use flag kde for compiz in package.use – does that
    integrate more compiz effects into kde-4?

  4. KDE4 has _very_ poor compiz builtin support. I have an issue on my laptop in KDE4 where if I open konsole and maximize it, than close it and reopen it will start in full screen mode. Same for Konqueror and same for Kmail. This is a bogous and very annoying habbit ONLY when KDE4 has compiz enabled. I had to mask (in gentoo) kde4-meta and recompile kde3 from the beggining. I hope KDE4 will start being usable some time soon with compiz enabled. Since then I rather have the old KDE3 back up and working with compiz enabled. I never had this stupid issues with the old KDE3 and compiz. It’s driving me nuts.

Leave a Reply

Your email address will not be published. Required fields are marked *